Subject: Re: bug#75142: 31.0.50; package-refresh-contents is not async when using interactively.

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Jan 2025 10:46:05 -0500

>> When running `M-x package-refresh-contents RET', my Emacs session
>> freezes for a long time. But it is possible to run this async, we need
>> to give it an argument. I think when the function should be async, I
>> understand that when using this in emacs lisp program, that maybe not be
>> desirable. So maybe you can have a separate functions for emacs lisp
>> programs, or have different behavior for interactive use.
>
> Philip and Stefan, any comments?

I guess it would make sense to run it asynchronously when called
interactively, but in that case we should emit messages that clarify
what going on, e.g. a first (synchronous) "Refreshing in the background..."
followed by "Refreshing packages completed" at the end.

        Stefan